Index: TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 3837)
+++ TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 3838)
@@ -368,12 +368,12 @@
 		}
 		
 		Label l = new Label(this.getExtendedParametersGroup(), SWT.NONE);
-		l.setText("Supplementary row names:");
+		l.setText(CAUIMessages.SupplementaryRowNames);
 		
 		supRowNamesText = new Text(this.getExtendedParametersGroup(), SWT.BORDER);
 		
 		l = new Label(this.getExtendedParametersGroup(), SWT.NONE);
-		l.setText("Supplementary col names:");
+		l.setText(CAUIMessages.SupplementaryColNames);
 		
 		supColNamesText = new Text(this.getExtendedParametersGroup(), SWT.BORDER);
 		
Index: TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 3837)
+++ TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 3838)
@@ -110,12 +110,12 @@
 					lexicalTable = new LexicalTable(index);
 					
 					if (index.getPartition().getPartsCount() < 4) {
-						MessageDialog.openError(window.getShell(), "Error", CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
+						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error2, CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
 						return null;
 					}
 					// FIXME: SJ: problem here because we need the index has been computed to make this check
 					if (index.hasBeenComputedOnce() && index.getAllLines().size() < 4) {
-						MessageDialog.openError(window.getShell(), "Error", CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
+						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error2, CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
 						return null;
 					}
 					
@@ -127,12 +127,12 @@
 					
 					// FIXME: SJ: problem here because we need the LT has been computed to make this check
 					if (lexicalTable.hasBeenComputedOnce() && lexicalTable.getNColumns() < 4) {
-						MessageDialog.openError(window.getShell(), "Error", CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
+						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error2, CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
 						return null;
 					}
 					// FIXME: SJ: problem here because we need the LT has been computed to make this check
 					if (lexicalTable.hasBeenComputedOnce() && lexicalTable.getNRows() < 4) {
-						MessageDialog.openError(window.getShell(), "Error", CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
+						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error2, CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
 						return null;
 					}
 					
Index: TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 3837)
+++ TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 3838)
@@ -37,7 +37,6 @@
 	public static String canNotComputeFactorialAnalysisWithOnlyP0PartsTheMinimumIs4Parts; 
 	public static String loadingCorrespondenceAnalysisResults; 
 	
-	
 	public static String eigenvalues; 
 	public static String CorrespondanceAnalysisEditorInput_11;
 	public static String factPlan; 
@@ -56,12 +55,14 @@
 
 	public static String errorWhileOpeningCAEditorColonP0; 
 
-	
 	public static String error_cannot_compute_with;
 	public static String error_cannot_compute_with_selection;
 	public static String error_opening;
 
+	public static String SupplementaryRowNames;
 
+	public static String SupplementaryColNames;
+
 	static {
 		Utf8NLS.initializeMessages(BUNDLE_NAME, CAUIMessages.class);
 	}
Index: TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_fr.properties
===================================================================
--- TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_fr.properties	(revision 3837)
+++ TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_fr.properties	(revision 3838)
@@ -37,3 +37,5 @@
 showTheColumns=Afficher les colonnes
 showTheRows=Afficher les lignes
 wrongInput=Entrée erronée
+SupplementaryRowNames=Nom des lignes illustratives
+SupplementaryColNames=Nom des colonnes illustratives
Index: TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties	(revision 3837)
+++ TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties	(revision 3838)
@@ -37,3 +37,6 @@
 showTheColumns=Show columns
 showTheRows=Show rows
 wrongInput=Wrong input
+
+SupplementaryRowNames=Supplementary row names
+SupplementaryColNames=Supplementary col names
